/* eslint-disable jsx-a11y/anchor-is-valid */
import React from 'react'
import { useState } from 'react';

import {KTSVG, toAbsoluteUrl} from '../../../../../../_metronic/helpers'
import {Dropdown1} from '../../../../../../_metronic/partials/content/dropdown/Dropdown1'
import {initialOrganisation, Organisation, Position} from '../core/_models'
import { useListView } from '../edit-modal/position/ListViewProviderPosition';
import { PositionEditModal } from '../edit-modal/position/PositionEditModal';
import { PositionActionsCell } from '../table/columns/position/PositionActionsCell'


type Props = {
  className: string
  positions: Position[]
}

const PositionsList: React.FC<Props> = ({className, positions}) => {
  const {setItemIdForUpdate, itemIdForUpdate} = useListView()
  const openAddPositionModal = () => {
    setItemIdForUpdate(null)
  }
  return (
    <div className={`card ${className}`}>
      {/* begin::Header */}
      <div className='card-header border-0'>
        <h3 className='card-title fw-bold text-dark'>Befattningar</h3>
        <div
        className='fs-7 w-250px py-4 d-flex justify-content-end'>
          <button type='button' onClick={openAddPositionModal} className='btn btn-light btn-sm btn-active-light-primary' >
        <KTSVG path='/media/icons/duotune/arrows/arr075.svg' className='svg-icon-2'/>
        Lägg till befattning
      </button>
      </div>
        
        
      </div>
      {/* end::Header */}
      {/* begin::Body */}
      <div className='card-body pt-2'>

      {positions.map(position => {
        return(
          <div className='d-flex align-items-center mb-7' key={position.id}>
              <div className='symbol symbol-50px me-5'>
              <KTSVG
                      path='/media/icons/duotune/general/gen056.svg'
                      className='svg-icon-1 svg-icon-primary'
                    />              </div>
              <div className='flex-grow-1'>
                <a href={'/metronic8/react/demo1/position/overview/'+position.id} className='text-dark fw-bold text-hover-primary fs-6'>
                  {position.name?.split(',')[0]}
                </a>
          <span className='text-muted d-block fw-semibold'>{position.name?.split(',')[1]}</span>
        </div>
        <PositionActionsCell id={position.id} />

          </div>
        )
      })}
      {itemIdForUpdate !== undefined? <PositionEditModal/> : null}

      </div>
      {/* end::Body */}
    </div>
    
  )
}

export {PositionsList}
